com.fasterxml.jackson.module.blackbird.util

## Class ReflectionHack

- java.lang.Object
- - com.fasterxml.jackson.module.blackbird.util.ReflectionHack

-     public class ReflectionHack
      extends Object

  Allow private access to fields across using a JVM version-appropriate strategy without having a compile-time dependency on Java 9+. This entire class can be replaced by a direct call to JDK 9+ `MethodHandles``.privateLookupIn` once Jackson targets Java >= 9.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReflectionHack()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MethodHandles.Lookup` | `privateLookupIn(Class<?> lookup, MethodHandles.Lookup orig)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReflectionHack

          public ReflectionHack()

  - ### Method Detail

    - #### privateLookupIn

          public static MethodHandles.Lookup privateLookupIn(Class<?> lookup,
                                                             MethodHandles.Lookup orig)
                                                      throws IllegalAccessException

      Throws:
        `IllegalAccessException`

Copyright © 2022 FasterXML. All rights reserved.